## mame 0.264+dfsg.1

=== 3rdparty/benchmark/src/CMakeLists.txt ===
# Allow the source files to find headers in src/
include_directories(${PROJECT_SOURCE_DIR}/src)

if (DEFINED BENCHMARK_CXX_LINKER_FLAGS)
  list(APPEND CMAKE_SHARED_LINKER_FLAGS ${BENCHMARK_CXX_LINKER_FLAGS})
  list(APPEND CMAKE_MODULE_LINKER_FLAGS ${BENCHMARK_CXX_LINKER_FLAGS})
endif()

# Define the source files
set(SOURCE_FILES "benchmark.cc" "colorprint.cc" "commandlineflags.cc"
                 "console_reporter.cc" "csv_reporter.cc"
                 "json_reporter.cc" "reporter.cc" "sleep.cc"
                 "string_util.cc" "sysinfo.cc" "complexity.cc" "timers.cc")
# Add headers to the list of source files. cmake does not require this,
# but IDEs such as Visual Studio need this to add the headers
# to the generated project.
set(_d "${PROJECT_SOURCE_DIR}/include/benchmark")
list(APPEND SOURCE_FILES "${_d}/benchmark.h" "${_d}/benchmark_api.h"
            "${_d}/macros.h" "${_d}/reporter.h" "arraysize.h" "check.h"
            "colorprint.h" "commandlineflags.h" "complexity.h"
            "cycleclock.h" "internal_macros.h" "log.h" "mutex.h"
            "re.h" "sleep.h" "stat.h" "string_util.h" "sysinfo.h" "timers.h")
unset(_d)

# Determine the correct regular expression engine to use
if(HAVE_STD_REGEX)
  set(RE_FILES "re_std.cc")
elseif(HAVE_GNU_POSIX_REGEX)
  set(RE_FILES "re_posix.cc")
elseif(HAVE_POSIX_REGEX)
  set(RE_FILES "re_posix.cc")
else()
  message(FATAL_ERROR "Failed to determine the source files for the regular expression backend")
endif()

add_library(benchmark ${SOURCE_FILES} ${RE_FILES})

set_target_properties(benchmark PROPERTIES
  OUTPUT_NAME "benchmark"
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

# Link threads.
target_link_libraries(benchmark  ${BENCHMARK_CXX_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

# We need extra libraries on Windows
if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
  target_link_libraries(benchmark Shlwapi)
endif()

# Expose public API
target_include_directories(benchmark PUBLIC ${PROJECT_SOURCE_DIR}/include)

# Install target (will install the library to specified CMAKE_INSTALL_PREFIX variable)
install(
  TARGETS benchmark
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  COMPONENT library)

install(
  DIRECTORY "${PROJECT_SOURCE_DIR}/include/benchmark"
  DESTINATION include
  FILES_MATCHING PATTERN "*.*h")

=== 3rdparty/portmidi/pm_common/CMakeLists.txt ===
# pm_common

# set the build directory for libportmidi.a to be in portmidi, not in 
#    portmidi/pm_common
if(APPLE OR WIN32)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
  # set the build directory for .dylib libraries
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

  # the first time CMake configures, save off CMake's built-in flags
  if(NOT DEFAULT_DEBUG_FLAGS)
    set(DEFAULT_DEBUG_FLAGS ${CMAKE_C_FLAGS_DEBUG} CACHE 
        STRING "CMake's default debug flags" FORCE)
    set(DEFAULT_RELEASE_FLAGS ${CMAKE_C_FLAGS_RELEASE} CACHE 
        STRING "CMake's default release flags" FORCE)
  else(NOT DEFAULT_DEBUG_FLAGS)
    message(STATUS "DEFAULT_DEBUG_FLAGS not nil: " ${DEFAULT_DEBUG_FLAGS})
  endif(NOT DEFAULT_DEBUG_FLAGS)
else(APPLE OR WIN32)
  set(LINUX_FLAGS "-DPMALSA")
endif(APPLE OR WIN32)

if(APPLE)
  set(CMAKE_OSX_SYSROOT /Developer/SDKs/MacOSX10.5.sdk CACHE 
      PATH "-isysroot parameter for compiler" FORCE)
  set(CMAKE_C_FLAGS "-mmacosx-version-min=10.5" CACHE 
      STRING "needed in conjunction with CMAKE_OSX_SYSROOT" FORCE)
endif(APPLE)

macro(prepend_path RESULT PATH)
  set(${RESULT})
  foreach(FILE ${ARGN})
    list(APPEND ${RESULT} "${PATH}${FILE}")
  endforeach(FILE)
endmacro(prepend_path)

set(CMAKE_C_FLAGS_DEBUG 
    "${DEFAULT_DEBUG_FLAGS} -DPM_CHECK_ERRORS=1 -DDEBUG ${LINUX_FLAGS}"
    CACHE STRING "enable extra checks for debugging" FORCE)

set(CMAKE_C_FLAGS_RELEASE "${DEFAULT_RELEASE_FLAGS} ${LINUX_FLAGS}"
    CACHE STRING "flags for release version" FORCE)

# first include the appropriate system-dependent file:
if(UNIX)
  # add the -g switch for Linux and Mac OS X (not used in Win32)
  set (CMAKE_C_FLAGS_DEBUG "-g ${CMAKE_C_FLAGS_DEBUG}" 
       CACHE STRING "enable extra checks for debugging" FORCE)
  if(APPLE)
    set(MACSRC pmmacosxcm pmmac readbinaryplist finddefault)
    prepend_path(LIBSRC ../pm_mac/ ${MACSRC})
    list(APPEND LIBSRC ../porttime/ptmacosx_mach)

    include_directories(${CMAKE_OSX_SYSROOT}/Developer/Headers/FlatCarbon)
    set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks)
    set(COREAUDIO_LIB "${FRAMEWORK_PATH}/CoreAudio.framework")
    set(COREFOUNDATION_LIB "${FRAMEWORK_PATH}/CoreFoundation.framework")
    set(COREMIDI_LIB "${FRAMEWORK_PATH}/CoreMIDI.framework")
    set(CORESERVICES_LIB "${FRAMEWORK_PATH}/CoreServices.framework")
    set(PM_NEEDED_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
                             ${COREMIDI_LIB} ${CORESERVICES_LIB}
        CACHE INTERNAL "")

    set(JAVAVM_LIB "${FRAMEWORK_PATH}/JavaVM.framework")
    set(JAVA_INCLUDE_PATHS ${JAVAVM_LIB}/Headers)
    message(STATUS "SYSROOT: " ${CMAKE_OSX_SYSROOT})
  else(APPLE)
    # LINUX settings...
    include(FindJNI)
    message(STATUS "JAVA_JVM_LIB_PATH is " ${JAVA_JVM_LIB_PATH})
    message(STATUS "JAVA_INCLUDE_PATH is " ${JAVA_INCLUDE_PATH})
    message(STATUS "JAVA_INCLUDE_PATH2 is " ${JAVA_INCLUDE_PATH2})
    message(STATUS "JAVA_JVM_LIBRARY is " ${JAVA_JVM_LIBRARY})
    set(JAVA_INCLUDE_PATHS ${JAVA_INCLUDE_PATH} ${JAVA_INCLUDE_PATH2})
    # libjvm.so is found relative to JAVA_INCLUDE_PATH:
    set(JAVAVM_LIB ${JAVA_JVM_LIBRARY}/libjvm.so)

    set(LINUXSRC pmlinuxalsa pmlinux finddefault)
    prepend_path(LIBSRC ../pm_linux/ ${LINUXSRC})
    list(APPEND LIBSRC ../porttime/ptlinux)

    set(PM_NEEDED_LIBS pthread asound)
  endif(APPLE)
else(UNIX)
  if(WIN32)
    # /MDd is multithread debug DLL, /MTd is multithread debug
    # /MD is multithread DLL, /MT is multithread. Change to static:
    include(../pm_win/static.cmake)
    
    include(FindJNI)

    set(JAVA_INCLUDE_PATHS ${JAVA_INCLUDE_PATH} ${JAVA_INCLUDE_PATH2})
    # message(STATUS "JAVA_INCLUDE_PATHS: " ${JAVA_INCLUDE_PATHS})

    set(WINSRC pmwin pmwinmm)
    prepend_path(LIBSRC ../pm_win/ ${WINSRC})
    list(APPEND LIBSRC ../porttime/ptwinmm)
    set(PM_NEEDED_LIBS winmm.lib)
  endif(WIN32)
endif(UNIX)
set(JNI_EXTRA_LIBS ${PM_NEEDED_LIBS} ${JAVA_JVM_LIBRARY})

# this completes the list of library sources by adding shared code
list(APPEND LIBSRC pmutil portmidi)

# now add the shared files to make the complete list of library sources
add_library(portmidi-static ${LIBSRC})
set_target_properties(portmidi-static PROPERTIES OUTPUT_NAME "portmidi_s")
target_link_libraries(portmidi-static ${PM_NEEDED_LIBS})

# define the jni library
include_directories(${JAVA_INCLUDE_PATHS})

set(JNISRC ${LIBSRC} ../pm_java/pmjni/pmjni.c)
add_library(pmjni SHARED ${JNISRC})
target_link_libraries(pmjni ${JNI_EXTRA_LIBS})
set_target_properties(pmjni PROPERTIES EXECUTABLE_EXTENSION "jnilib")

# install the libraries (Linux and Mac OS X command line)
if(UNIX)
  INSTALL(TARGETS portmidi-static pmjni
    LIBRARY DESTINATION /usr/local/lib
    ARCHIVE DESTINATION /usr/local/lib)
# .h files installed by pm_dylib/CMakeLists.txt, so don't need them here
#  INSTALL(FILES portmidi.h ../porttime/porttime.h
#    DESTINATION /usr/local/include)
endif(UNIX)

=== 3rdparty/flac/examples/cpp/decode/file/CMakeLists.txt ===
add_executable(decode_file_cxx main.cpp)
target_link_libraries(decode_file_cxx FLAC++)

=== 3rdparty/zstd/build/cmake/contrib/gen_html/CMakeLists.txt ===
# ################################################################
# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under both the BSD-style license (found in the
# LICENSE file in the root directory of this source tree) and the GPLv2 (found
# in the COPYING file in the root directory of this source tree).
# ################################################################

project(gen_html)
include(GetZstdLibraryVersion)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

# Define programs directory, where sources and header files are located
set(LIBRARY_DIR ${ZSTD_SOURCE_DIR}/lib)
set(PROGRAMS_DIR ${ZSTD_SOURCE_DIR}/programs)
set(GENHTML_DIR ${ZSTD_SOURCE_DIR}/contrib/gen_html)
set(GENHTML_BINARY ${PROJECT_BINARY_DIR}/gen_html${CMAKE_EXECUTABLE_SUFFIX})
include_directories(${PROGRAMS_DIR} ${LIBRARY_DIR} ${LIBRARY_DIR}/common ${GENHTML_DIR})

add_executable(gen_html ${GENHTML_DIR}/gen_html.cpp)

GetZstdLibraryVersion(${LIBRARY_DIR}/zstd.h VMAJOR VMINOR VRELEASE)
set(LIBVERSION "${VMAJOR}.${VMINOR}.${VRELEASE}")
add_custom_target(zstd_manual.html ALL
                  ${GENHTML_BINARY} "${LIBVERSION}" "${LIBRARY_DIR}/zstd.h" "${PROJECT_BINARY_DIR}/zstd_manual.html"
                  DEPENDS gen_html COMMENT "Update zstd manual")

install(FILES "${PROJECT_BINARY_DIR}/zstd_manual.html" DESTINATION "${CMAKE_INSTALL_DOCDIR}")

=== debian/changelog ===
mame (0.264+dfsg.1-1ubuntu0.1~esm1) noble-security; urgency=medium

  * SECURITY UPDATE: Possible heap-based buffer over-read
    - debian/patches/CVE-2022-34300.patch: Fix out of bounds access in
      DecodePixelData
    - CVE-2022-34300
  * SECURITY UPDATE: Possible integer overflow
    - debian/patches/CVE-2021-46143.patch: lib: Prevent integer overflow
      on m_groupSize in function doProlog (CVE-2021-46143)
    - CVE-2021-46143

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Mon, 24 Nov 2025 15:11:27 +0200

mame (0.264+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 27 Mar 2024 10:59:53 +0100

mame (0.263+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 28 Feb 2024 11:52:07 +0100

mame (0.262+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 31 Jan 2024 12:18:04 +0100

=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cesare Falco <c.falco@ubuntu.com>,
 Emmanuel Kasper <emmanuel@libera.cc>,
 Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.17),
 libasio-dev (>= 1.20),
 libexpat1-dev,
 libflac-dev,
 libfontconfig1-dev,
 libglm-dev,
 libjpeg-dev,
# liblua5.3-dev,
 libportmidi-dev [linux-any],
 libpugixml-dev,
 libsdl2-dev,
 libsdl2-ttf-dev,
 libsqlite3-dev,
 libutf8proc-dev,
 libutil-freebsd-dev [kfreebsd-any],
 libxinerama-dev,
 portaudio19-dev,
 python3-dev,
 qtbase5-dev,
 rapidjson-dev (>= 1.0),
 zlib1g-dev
Build-Depends-Indep: python3-sphinx,
 python3-sphinxcontrib.svg2pdfconverter
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/mame.git
Vcs-Browser: https://salsa.debian.org/games-team/mame
Homepage: https://mamedev.org/
Rules-Requires-Root: no

Package: mame
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 mame-data (= ${source:Version})
Replaces: mess (<< 0.162)
Breaks: mess (<< 0.162)
Suggests: gnome-video-arcade,
 mame-doc,
 mame-extra,
 mame-tools
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-data
Architecture: all
Depends: ${misc:Depends}
Replaces: mess-data (<< 0.162)
Breaks: mess-data (<< 0.162)
Multi-Arch: foreign
Description: Multiple Arcade Machine Emulator (MAME) -- data files
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides MAME hash files, keymaps, artwork, language files,
 shaders, plugins and audio samples.

Package: mame-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Description: Tools for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This package provides tools to be used with MAME. It currently contains:
  castool -- generic cassette manipulation tool for MAME
  chdman -- MAME Compressed Hunks of Data CHD manager
  floptool -- Generic floppy image manipulation tool for MESS
  imgtool -- generic image manipulation tool for MAME
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program

Package: mame-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-sphinxdoc, libjs-mathjax
Enhances: mame
Multi-Arch: foreign
Description: Documentation for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This is sphinx-generated full documentation for the MAME system.

## mame 0.266+dfsg.1

=== debian/changelog ===
mame (0.266+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 03 Jun 2024 13:21:21 +0200

## mame 0.268+dfsg.1

=== debian/changelog ===
mame (0.268+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 11 Aug 2024 17:37:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+           Emmanuel Kasper <emmanuel@libera.cc>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dpkg-dev (>= 1.17),
- libasio-dev (>= 1.20),
- libexpat1-dev,
- libflac-dev,
- libfontconfig1-dev,
- libglm-dev,
- libjpeg-dev,
+               dpkg-dev (>= 1.17),
+               libasio-dev (>= 1.20),
+               libexpat1-dev,
+               libflac-dev,
+               libfontconfig1-dev,
+               libglm-dev,
+               libjpeg-dev,
 # liblua5.3-dev,
- libportmidi-dev [linux-any],
- libpugixml-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
- libsqlite3-dev,
- libutf8proc-dev,
- libutil-freebsd-dev [kfreebsd-any],
- libxinerama-dev,
- portaudio19-dev,
- python3-dev,
- qtbase5-dev,
- rapidjson-dev (>= 1.0),
- zlib1g-dev
-Build-Depends-Indep: python3-sphinx,
- python3-sphinxcontrib.svg2pdfconverter
+               libportmidi-dev [linux-any],
+               libpugixml-dev,
+               libsdl2-dev,
+               libsdl2-ttf-dev,
+               libsqlite3-dev,
+               libutf8proc-dev,
+               libutil-freebsd-dev [kfreebsd-any],
+               libxinerama-dev,
+               portaudio19-dev,
+               python3-dev,
+               qtbase5-dev,
+               rapidjson-dev (>= 1.0),
+               zlib1g-dev
+Build-Depends-Indep: python3-sphinx, python3-sphinxcontrib.svg2pdfconverter
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
@@ -38,15 +37,10 @@
 
 Package: mame
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- mame-data (= ${source:Version})
+Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade,
- mame-doc,
- mame-extra,
- mame-tools
+Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -75,8 +69,7 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -96,7 +89,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-sphinxdoc, libjs-mathjax
+Suggests: libjs-mathjax, libjs-sphinxdoc
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

#export DH_VERBOSE = 1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

# Define DEB_HOST_MULTIARCH for QT prefix handling
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Use the less-greedy-for-memory Gold linker whenever available
LINK_WITH_GOLD = 1

# g++ 10 seems buggy on some archs, use to build with g++ 9 as a workaround
# if enabled, remember to add dependency on g++-9 in debian/control as well!
COMPILE_WITH_GCC9 =

# Override relevant make variables in original makefile
DEB_OPTS = \
    NOWERROR=1 \
    OSD=sdl \
    DEBUG= \
    TARGETOS=linux \
    DISTRO=debian-stable \
    PTR64= \
    BIGENDIAN= \
    PYTHON_EXECUTABLE=python3 \
    QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
    USE_SYSTEM_LIB_ASIO=1 \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_BUNDLED_LIB_SDL2= \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    VERBOSE=1

# verbatim from Mame 0.253 release notes:
# MAME now requires Lua compiled as C++ to work correctly.
# This prevents the use of Lua libraries from Linux distribution
# package repositories, as they are compiled as C.
#DEB_OPTS += \
#    USE_SYSTEM_LIB_LUA=lua5.3:/usr/include/lua5.3

# Make build less verbose if requested
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
DEB_OPTS += \
    VERBOSE=
endif

# Set specific arch options
ifeq ($(DEB_HOST_ARCH),alpha)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    PTR64=1
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),armel)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--long-plt
endif

ifeq ($(DEB_HOST_ARCH),armhf)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
endif

ifeq ($(DEB_HOST_ARCH),hppa)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),m68k)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    NOASM=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
DEB_OPTS += \
    NOASM=1
export DEB_CXXFLAGS_MAINT_APPEND += -mxgot
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),riscv64)
DEB_OPTS += \
    OPTIMIZE=1 \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sh4)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1 \
    NOASM=1
LINK_WITH_GOLD =
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    PTR64=1 \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

# GNU/Hurd architecture
ifeq ($(DEB_HOST_ARCH),hurd-i386)
DEB_OPTS += \
    TARGETOS=gnu \
    USE_SYSTEM_LIB_PORTMIDI= \
    NO_USE_MIDI=1
LINK_WITH_GOLD =
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1

ifdef COMPILE_WITH_GCC9
DEB_OPTS += \
	CC=gcc-9 \
	LD=g++-9 \
	CXX=g++-9
endif

ifdef LINK_WITH_GOLD
export DEB_LDFLAGS_MAINT_PREPEND += \
    -fuse-ld=gold -Wl,--no-keep-memory
else
# Sacrifice linking speed to avoid using so much memory
export DEB_LDFLAGS_MAINT_APPEND += \
    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
endif

ifdef NUMJOBS
MAKEFLAGS += -j$(NUMJOBS)
endif

ifdef DH_VERBOSE
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--verbose,--trace
endif

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
	-mv mame64 mame #FIXME
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
	mv plugin.ini default.plugin.ini
	mv ui.ini default.ui.ini

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_auto_clean:
	PYTHON_EXECUTABLE=python3 dh_auto_clean

override_dh_auto_test-arch:
	# Run MAME's internal validation tests
	-$(CURDIR)/mame -validate

override_dh_install:
	dh_install --exclude=dir.txt \
		   --exclude=LICENSE \
		   --exclude=README.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	find debian/mame/etc/mame -type f -execdir chmod 644 {} \;

override_dh_fixperms-indep:
	dh_fixperms
	find debian/mame-data/usr/share/games/mame/artwork -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/bgfx -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/ctrlr -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/fonts -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/hash -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/keymaps -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## mame 0.269+dfsg.1

=== debian/changelog ===
mame (0.269+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 29 Aug 2024 15:19:57 +0200

mame (0.268+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 31 Jul 2024 10:36:26 +0200

mame (0.267+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Add unidasm to mame-tools package.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 30 Jun 2024 20:02:31 +0200

mame (0.265+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 25 Apr 2024 10:50:10 +0200

## mame 0.270+dfsg.1

=== debian/changelog ===
mame (0.270+dfsg.1-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 0.261+dfsg.1-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 22 Feb 2024 05:43:15 +0000]
  * Use --long-plt on armhf too.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 27 Oct 2024 14:27:20 +0000

mame (0.270+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 26 Sep 2024 11:44:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
-           Emmanuel Kasper <emmanuel@libera.cc>,
-           Jordi Mallach <jordi@debian.org>
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.17),
-               libasio-dev (>= 1.20),
-               libexpat1-dev,
-               libflac-dev,
-               libfontconfig1-dev,
-               libglm-dev,
-               libjpeg-dev,
+ dpkg-dev (>= 1.17),
+ libasio-dev (>= 1.20),
+ libexpat1-dev,
+ libflac-dev,
+ libfontconfig1-dev,
+ libglm-dev,
+ libjpeg-dev,
 # liblua5.3-dev,
-               libportmidi-dev [linux-any],
-               libpugixml-dev,
-               libsdl2-dev,
-               libsdl2-ttf-dev,
-               libsqlite3-dev,
-               libutf8proc-dev,
-               libutil-freebsd-dev [kfreebsd-any],
-               libxinerama-dev,
-               portaudio19-dev,
-               python3-dev,
-               qtbase5-dev,
-               rapidjson-dev (>= 1.0),
-               zlib1g-dev
-Build-Depends-Indep: python3-sphinx, python3-sphinxcontrib.svg2pdfconverter
+ libportmidi-dev [linux-any],
+ libpugixml-dev,
+ libsdl2-dev,
+ libsdl2-ttf-dev,
+ libsqlite3-dev,
+ libutf8proc-dev,
+ libxinerama-dev,
+ portaudio19-dev,
+ python3-dev,
+ qtbase5-dev,
+ rapidjson-dev (>= 1.0),
+ zlib1g-dev
+Build-Depends-Indep: python3-sphinx,
+ python3-sphinxcontrib.svg2pdfconverter
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
@@ -37,10 +36,15 @@
 
 Package: mame
 Architecture: any
-Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ mame-data (= ${source:Version})
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
+Suggests: gnome-video-arcade,
+ mame-doc,
+ mame-extra,
+ mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -69,7 +73,8 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -89,7 +94,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-mathjax, libjs-sphinxdoc
+Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

=== debian/rules ===
--- 
+++ 
@@ -94,6 +94,7 @@
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
+export DEB_LDFLAGS_MAINT_APPEND += -Wl,--long-plt
 endif
 
 ifeq ($(DEB_HOST_ARCH),hppa)
@@ -193,22 +194,6 @@
     BIGENDIAN=1 \
     NOASM=1
 LINK_WITH_GOLD =
-endif
-
-# kFreeBSD architectures
-ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
-DEB_OPTS += \
-    TARGETOS=freebsd \
-    PTR64=1 \
-    USE_SYSTEM_LIB_PORTMIDI=
-export DEB_LDFLAGS_MAINT_APPEND = -ldl
-endif
-
-ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
-DEB_OPTS += \
-    TARGETOS=freebsd \
-    USE_SYSTEM_LIB_PORTMIDI=
-export DEB_LDFLAGS_MAINT_APPEND = -ldl
 endif
 
 # GNU/Hurd architecture
@@ -300,8 +285,3 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

## mame 0.271+dfsg.1

=== debian/changelog ===
mame (0.271+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2024 23:06:42 -0800

mame (0.270+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * Add unidasm entry for mame-tools entry in d/control.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2024 15:05:34 -0700

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+           Emmanuel Kasper <emmanuel@libera.cc>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dpkg-dev (>= 1.17),
- libasio-dev (>= 1.20),
- libexpat1-dev,
- libflac-dev,
- libfontconfig1-dev,
- libglm-dev,
- libjpeg-dev,
+               dpkg-dev (>= 1.17),
+               libasio-dev (>= 1.20),
+               libexpat1-dev,
+               libflac-dev,
+               libfontconfig1-dev,
+               libglm-dev,
+               libjpeg-dev,
 # liblua5.3-dev,
- libportmidi-dev [linux-any],
- libpugixml-dev,
- libsdl2-dev,
- libsdl2-ttf-dev,
- libsqlite3-dev,
- libutf8proc-dev,
- libxinerama-dev,
- portaudio19-dev,
- python3-dev,
- qtbase5-dev,
- rapidjson-dev (>= 1.0),
- zlib1g-dev
-Build-Depends-Indep: python3-sphinx,
- python3-sphinxcontrib.svg2pdfconverter
+               libportmidi-dev [linux-any],
+               libpugixml-dev,
+               libsdl2-dev,
+               libsdl2-ttf-dev,
+               libsqlite3-dev,
+               libutf8proc-dev,
+               libutil-freebsd-dev [kfreebsd-any],
+               libxinerama-dev,
+               portaudio19-dev,
+               python3-dev,
+               qtbase5-dev,
+               rapidjson-dev (>= 1.0),
+               zlib1g-dev
+Build-Depends-Indep: python3-sphinx, python3-sphinxcontrib.svg2pdfconverter
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
@@ -36,15 +37,10 @@
 
 Package: mame
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- mame-data (= ${source:Version})
+Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade,
- mame-doc,
- mame-extra,
- mame-tools
+Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -73,8 +69,7 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -89,12 +84,13 @@
   ldresample -- Laserdisc audio synchronizer and resampler
   ldverify -- Laserdisc AVI/CHD verifier
   romcmp -- ROM comparison utility program
+  unidasm -- MAME's universal disassembler
 
 Package: mame-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-sphinxdoc, libjs-mathjax
+Suggests: libjs-mathjax, libjs-sphinxdoc
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME

## mame 0.272+dfsg.1

=== debian/changelog ===
mame (0.272+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 01 Dec 2024 16:40:03 +0100

mame (0.271+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 31 Oct 2024 19:51:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,6 @@
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
-export DEB_LDFLAGS_MAINT_APPEND += -Wl,--long-plt
 endif
 
 ifeq ($(DEB_HOST_ARCH),hppa)

## mame 0.273+dfsg.1

=== debian/changelog ===
mame (0.273+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix INI_PATH macro definition.

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 31 Dec 2024 18:01:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -205,17 +205,21 @@
 endif
 
 DEB_MAME_OPTS = \
-    SDL_INI_PATH=/etc/mame \
     FULLNAME=mame \
     TARGET=mame \
     SUBTARGET=mame \
     TOOLS=1
+# FIXME: reinstate the following line after fixing scripts/src/osd/sdl_cfg.lua
+#    SDL_INI_PATH=/etc/mame \
 
 ifdef COMPILE_WITH_GCC9
 DEB_OPTS += \
 	CC=gcc-9 \
 	LD=g++-9 \
 	CXX=g++-9
+else
+# gcc-10 complains about implicit declarations, tell it we don't care
+CFLAGS := $(patsubst -Werror=implicit-function-declaration,-Wno-error=implicit-function-declaration,$(CFLAGS))
 endif
 
 ifdef LINK_WITH_GOLD

## mame 0.274+dfsg.1

=== debian/changelog ===
mame (0.274+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.
  * d/control: Add missing unidasm entry for mame-tools long description.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Feb 2025 21:21:23 -0800

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                libsdl2-ttf-dev,
                libsqlite3-dev,
                libutf8proc-dev,
-               libutil-freebsd-dev [kfreebsd-any],
                libxinerama-dev,
                portaudio19-dev,
                python3-dev,

=== debian/rules ===
--- 
+++ 
@@ -288,3 +288,8 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## mame 0.275%2Bdfsg.1

=== 3rdparty/zstd/contrib/diagnose_corruption/Makefile ===
# ################################################################
# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under both the BSD-style license (found in the
# LICENSE file in the root directory of this source tree) and the GPLv2 (found
# in the COPYING file in the root directory of this source tree).
# ################################################################

.PHONY: all
all: check_flipped_bits

ZSTDLIBDIR ?= ../../lib

CFLAGS     ?= -O3
CFLAGS     += -I$(ZSTDLIBDIR) -I$(ZSTDLIBDIR)/common -I$(ZSTDLIBDIR)/compress \
              -I$(ZSTDLIBDIR)/decompress
CFLAGS     += -Wall -Wextra -Wcast-qual -Wcast-align -Wshadow                 \
              -Wstrict-aliasing=1 -Wswitch-enum -Wdeclaration-after-statement \
              -Wstrict-prototypes -Wundef                                     \
              -Wvla -Wformat=2 -Winit-self -Wfloat-equal -Wwrite-strings      \
              -Wredundant-decls -Wmissing-prototypes
CFLAGS     += $(DEBUGFLAGS) $(MOREFLAGS)
FLAGS       = $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)

.PHONY: $(ZSTDLIBDIR)/libzstd.a
$(ZSTDLIBDIR)/libzstd.a:
	$(MAKE) -C $(ZSTDLIBDIR) libzstd.a

check_flipped_bits: check_flipped_bits.c $(ZSTDLIBDIR)/libzstd.a
	$(CC) $(FLAGS) $< -o $@$(EXT) $(ZSTDLIBDIR)/libzstd.a

.PHONY: clean
clean:
	rm -f check_flipped_bits
